package net.wanji.datacenter.pojo.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/11/26 16:58
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PhaseEmptyDataDTO {
    private String msg;
    private Idx idx;

    @Data
    public static class Idx {
        private String crossId;
        /** 操作时间 */
        private Long curStamp;
        private Integer rtnType;
        private String v1;
        private String v2;
        private String v3;
        private String v4;
        private String v5;
        private Long videoStamp;
        /** 信号机时间 */
        private Long signalMachineStamp;
        private Long createStamp;
        private String green_flow;
        private Integer countDown;
        private String green_info;
        private Integer planId;
        private Integer controlMode;
        private Integer crossRealStatus;
        private String ctrId;
        /** 是否成功（200成功，其他失败）*/
        private Integer responseCode;
        /** 响应内容 */
        private String responseContent;
        private Integer isSuccessed;
    }
}
